export default {
  APP_LOGIN: 'APP_LOGIN',
  APP_ADD_LOADING_STATUS: 'APP_ADD_LOADING_STATUS',
  APP_REMOVE_LOADING_STATUS: 'APP_REMOVE_LOADING_STATUS',
  APP_RESET_LOADING_STATUS: 'APP_RESET_LOADING_STATUS',
  APP_SET_LEFT_MENU_CATEGORY: 'APP_SET_LEFT_MENU_CATEGORY',

  ACCOUNT_LOGOUT: 'ACCOUNT_LOGOUT',
  ACCOUNT_SET_IS_LOGGED_IN: 'ACCOUNT_SET_IS_LOGGED_IN',
  ACCOUNT_SET_ACCOUNT: 'ACCOUNT_SET_ACCOUNT',
  ACCOUNT_SET_PASSWORD: 'ACCOUNT_SET_PASSWORD',
  ACCOUNT_LOGIN_SET_ERROR: 'ACCOUNT_SET_ERROR',

  MODAL_TOGGLE: 'MODAL_TOGGLE',
  MODAL_SET_TYPE: 'MODAL_SET_TYPE',
  MODAL_SET_DATA: 'MODAL_SET_DATA',
  MODAL_SELECT_USER: 'MODAL_SELECT_USER',
  MODAL_DONATE_TO_CHALLENGE: 'MODAL_DONATE_TO_CHALLENGE',
  CHALLENGE_SET_CHALLENGES: 'CHALLENGE_SET_CHALLENGES',

  ERRORBOX_SET_ERRORBOX: 'ERRORBOX_SET_ERRORBOX',
  ERRORBOX_HIDE_ERRORBOX: 'ERRORBOX_HIDE_ERRORBOX',

  STREAMS_ADD_STREAM: 'STREAMS_ADD_STREAM',
  STREAMS_ADD_ERROR: 'STREAMS_ADD_ERROR',

  PEERPLAYS_SET_IS_CONNECTED: 'PEERPLAYS_SET_IS_CONNECTED',
  PEERPLAYS_SET_ACCOUNT: 'PEERPLAYS_SET_ACCOUNT',
  PEERPLAYS_SET_PRECISION: 'PEERPLAYS_SET_PRECISION',

  NOTIFICATION_NOT_SUPPORTED: 'NOTIFICATION_NOT_SUPPORTED',
  NOTIFICATION_PERMISSION_GRANTED: 'NOTIFICATION_PERMISSION_GRANTED',
  NOTIFICATION_PERMISSION_DENIED: 'NOTIFICATION_PERMISSION_DENIED',

  PEERPLAYS_SET_BALANCE: 'PEERPLAYS_SET_BALANCE',
  PEERPLAYS_SET_PASSWORD: 'PEERPLAYS_SET_PASSWORD',
  PEERPLAYS_SET_TRANSFERFEE: 'PEERPLAYS_SET_TRANSFERFEE'
};
